Last Comment Bug 172768 - (xft_tracking) xft tracking bug
(xft_tracking)
: xft tracking bug
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Linux
: -- normal with 4 votes (vote)
: ---
Assigned To: Christopher Blizzard (:blizzard)
:
Mentors:
Depends on: 99823 128153 131466 172771 172779 173204 174283 175025 175108 175690 176290 176334 176347 176382 178128 179181 179725 180309 180328 180721 182650 182877 182878 182926 183206 183417 183461 183467 183468 183729 183749 183750 183936 184405 185350 185998 186210 186704 187377 187654 189948 190031 190278 190346 190347 190778 191540 191972 193276 193448 193973 194223 194478 194511 195227 195268 196031 196269 196312 197037 197095 198098 198123 198200 203350 203683 205621 210513 213734 220582 223653 224038 225489 227889 228783 229828 229860 230173 230215 234558 238509 240409 252033
Blocks: 243227
  Show dependency treegraph
 
Reported: 2002-10-05 07:58 PDT by Christopher Blizzard (:blizzard)
Modified: 2012-01-13 14:30 PST (History)
20 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Christopher Blizzard (:blizzard) 2002-10-05 07:58:03 PDT
Hang your xft bugs here!
Comment 1 Tomas Pluskal 2002-12-01 04:03:57 PST
how do I add bugs here ? I wanted to add bug 182878
thanks
Comment 2 Panagiotis Vossos 2003-07-16 03:54:45 PDT
I build mozilla using --enable-xft and I get weird behaviour when scrolling.  I
have noticed this bug since 1.2.  This is on a machine with linux 2.4, xfree86
4.3, gcc 2.95.3 and glibc 2.2.5.  I attach all the `configure' parameters I use
at the end.

First of all, with my xft-enabled builds, I get a blinking cursor everywhere,
even if I am not at a text input field. If I press page-down, the behaviour
depends on where the blinking cursor is; this is a bit complicated, I 'll try to
explain the best that I can.

For example, on slashdot there is a short `Sections' column at the left which is
shorter than the others.  If the blinking cursor is on that, then page down
doesn't work correctly; it shows the next page for 0.1 seconds and then returns
to the current page.  This doesn't happen if I first click on the longer central
column somewhere (where the main stories are).  I've noticed this problem on all
similar pages and I have to use the scroll-bar.

Pressing `space' also doesn't do anything, whereas till 1.0.x I always used the
space to scroll the page down.

I have not build mozilla without xft since 1.0.x, so I am not sure that this is
because of --enable-xft.  I am just guessing, since apart from `--enable-xft' I
use more or less the same configure options since 0.8.  Moreover, I've not
encountered the problem on other non-xft builds; I don't get any blinking cursor
and scrolling works perfectly.

The commands that I use in my spec file to build mozilla are:


export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export MOZ_INTERNAL_LIBART_LGPL=1

./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--enable-optimize=-O3 \
	--enable-strip-libs \
	--enable-nspr-autoconf \
	--enable-crypto \
	--enable-xft \
	--enable-reorder \
	--enable-strip \
	--enable-elf-dynstr-gc \
	--enable-cpp-rtti \
	--enable-extensions="all" \
	--enable-svg \
	--with-system-jpeg \
	--with-system-png \
	--with-system-mng \
	--with-system-zlib \
	--disable-debug \
	--disable-tests \
	--disable-jsd \
	--disable-mathml \
	--disable-accessibility \
	--disable-dtd-debug \
	--disable-logging
make
Comment 3 kmike 2004-03-24 08:47:25 PST
What about bug 236739? It seems like regression from bug 197037...
Comment 4 Zack Weinberg (:zwol) 2011-11-15 17:10:57 PST
I am under the impression that Xft has long since been superseded by some combination of freetype, pango, cairo, and harfbuzz.  Does it still make sense to keep this bug and/or its dependencies open?
Comment 5 Zack Weinberg (:zwol) 2011-11-15 17:11:30 PST
... also I don't know what it's doing under XUL.
Comment 6 Jeff Muizelaar [:jrmuizel] 2012-01-13 14:30:22 PST
XFT is no more.

Note You need to log in before you can comment on or make changes to this bug.